package core;

import com.jniwrapper.win32.ie.Browser;
import com.jniwrapper.win32.ie.event.*;

import javax.swing.*;
import java.awt.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * The sample show how to configure popup window according to
 * the parameters that were passed into window.open JavaScript function.
 *
 * @author Ikryanov Vladimir
 */
public class PopupWindowSample
{
    public static void main(String[] args)
    {
        Browser browser = new Browser();

        JFrame frame = new JFrame();
        frame.setContentPane(browser);
        frame.setSize(400, 200);
        frame.setLocationRelativeTo(null);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);

        browser.getProperties().setAllowScripts(false);
        browser.waitReady();
        browser.setNewWindowHandler(new DefaultNewWindowHandler());
        browser.executeScript("window.open('about:blank', 'name', 'resizable=no, fullscreen=no, top=200, left=400, width=300, height=200');");
    }

    private static class DefaultNewWindowHandler implements NewWindowEventHandler
    {
        public NewWindowEventHandler.NewWindowAction newWindow()
        {
            return new NewWindowEventHandler.NewWindowAction(
                    NewWindowEventHandler.NewWindowAction.ACTION_CANCEL);
        }
    }
}
