package proxy;

import com.jniwrapper.win32.ie.Browser;
import com.jniwrapper.win32.ie.proxy.ProxyConfiguration;
import com.jniwrapper.win32.ie.proxy.ProxyManager;

import javax.swing.*;

/**
 * The  sample  demonstrates how to  use ProxyManager to change global proxy settings
 * and set proxy information for the current process without affecting global machine
 * settings.
 *
 * @author Ikryanov Vladimir
 */
public class UpdateProxySettingsSample
{
    public static void main(String[] args)
    {
        ProxyManager proxyManager = ProxyManager.getInstance();

        // changes global proxy settings
        ProxyConfiguration globalProxySettings = proxyManager.getProxyConfiguration(ProxyConfiguration.Type.GLOBAL);
        globalProxySettings.setConnectionType(ProxyConfiguration.ConnectionType.PROXY);
        globalProxySettings.setProxy("<http proxy address>", ProxyConfiguration.ServerType.HTTP);
        globalProxySettings.setUserName("<user name>", ProxyConfiguration.ServerType.HTTP);
        globalProxySettings.setPassowrd("<password>", ProxyConfiguration.ServerType.HTTP);
        globalProxySettings.setIgnoreProxyForLocalAddresses(true);

        proxyManager.updateProxyConfiguration(globalProxySettings, ProxyConfiguration.Type.GLOBAL);

        Browser browser = new Browser();

        JFrame frame = new JFrame("JExplorer: UpdateProxySettingsSample");
        frame.setContentPane(browser);
        frame.setSize(750, 500);
        frame.setLocationRelativeTo(null);
        frame.setVisible(true);

        browser.waitReady();
        browser.navigate("http://www.teamdev.com");
        browser.waitReady();

        // sets proxy settings for the current process without affecting global setttins
        ProxyConfiguration processProxySettings = proxyManager.getProxyConfiguration(ProxyConfiguration.Type.PROCESS);
        processProxySettings.setConnectionType(ProxyConfiguration.ConnectionType.DIRECT);

        proxyManager.updateProxyConfiguration(processProxySettings, ProxyConfiguration.Type.PROCESS);

        browser.waitReady();
        browser.navigate("http://www.teamdev.com");
        browser.waitReady();
    }
}
